Commit cb594dc4 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Big updates about documentation

parent c72249ae
[submodule "blc_core"]
path = blc_core
url = https://framagit.org/blaar/blc_core.git
[submodule "blgtk"]
path = blgtk
url = https://framagit.org/blaar/blgtk.git
[submodule "f_view_channel"]
path = f_view_channel
url = https://framagit.org/blaar/f_view_channel.git
[submodule "blc_channel"]
path = blc_channel
url = https://framagit.org/blaar/blc_channel.git
[submodule "blc_network"]
path = blc_network
url = https://framagit.org/blaar/blc_network.git
[submodule "blc_program"]
path = blc_program
url = https://framagit.org/blaar/blc_program.git
......@@ -19,9 +16,12 @@
[submodule "blc_image"]
path = blc_image
url = https://framagit.org/blaar/blc_image.git
[submodule "f_schunk_hand"]
path = f_schunk_hand
url = https://framagit.org/blaar/f_schunk_hand.git
[submodule "blgtk"]
path = blgtk
url = https://framagit.org/blaar/blgtk.git
[submodule "f_view_channel"]
path = f_view_channel
url = https://framagit.org/blaar/f_view_channel.git
[submodule "f_gnuplot"]
path = f_gnuplot
url = https://framagit.org/blaar/f_gnuplot.git
......@@ -31,12 +31,9 @@
[submodule "i_channels"]
path = i_channels
url = https://framagit.org/blaar/i_channels.git
[submodule "blc_network"]
path = blc_network
url = https://framagit.org/blaar/blc_network.git
[submodule "tino_broker"]
path = tino_broker
url = git@promethe.u-cergy.fr:tino/tino_broker.git
[submodule "tino_clients"]
path = tino_clients
url = git@promethe.u-cergy.fr:tino/tino_clients.git
[submodule "f_transform_signal"]
path = f_transform_signal
url = https://framagit.org/blaar/f_transform_signal.git
......@@ -11,7 +11,7 @@ Basic Libraries for C/C++
---------------------------------
- [blc_core](https://framagit.org/blaar/blc_core) : Generic helpers in C or C++ used by all other blaar projects
- [blc_channel](https://framagit.org/blaar/blc_channel) : Tools to use shared memory in synchrone ( in test) and asynchrone mode
- [blc_image](https://framagit.org/blaar/blc_image) : Load and save blc_array as png
- [blc_image](https://framagit.org/blaar/blc_image) : Manipulate bla_array as images. Can load and save them as png files
- [blc_program](https://framagit.org/blaar/blc_program) : Parse arguments and interacts with user in commandline.
<!--
......
blc_channel @ 7416fb63
Subproject commit 351d672617fec7366fd898bf160c88b4b2cd1eea
Subproject commit 7416fb63983039b6238dda5ae726799a5ed10371
blc_core @ 0c0a91b9
Subproject commit aded56dec8538719469b8f47730fa256151154b5
Subproject commit 0c0a91b945cdab5585e89585cb439ddc3dac4576
blc_image @ f5f6fa47
Subproject commit cae0c96677e52909e8e0094cbf5126b1779982a2
Subproject commit f5f6fa47c8bbf68e4b7f0a6828e54471fb2b88cf
......@@ -41,7 +41,7 @@ cd `dirname $0`
blaar_dir="$PWD"
blaar_build_dir="${blaar_dir}_build"
echo "Compiling **$project_name**"
echo "Compiling **$project_name**" >&2
if [ $2 ]; then
case $2 in
......@@ -72,7 +72,6 @@ cd $build_dir
ninja $target
result=$?
echo
exit $result
}
#!/bin/sh
usage(){
echo "usage: doc.sh <project dir>"
}
[ $1 ] || { echo "Missing project directory."; usage; exit 1; }
./compile.sh $1 Release doc
cd $1
project_dir="$PWD";
project_name=`basename $project_dir`;
cd - > /dev/null;
cd `dirname $0`
blaar_dir="$PWD"
blaar_build_dir="${blaar_dir}_build"
build_dir="$blaar_build_dir/doc/$project_name"
mkdir -p $build_dir
cd $build_dir
if [ $? ] ; then
if type xdg-open &>/dev/null; then xdg-open "$build_dir/index.html";
elif type open &>/dev/null; then open "$build_dir/index.html";
else echo "Open documentation in: $1/doc/api/index.html";
fi
else
echo "Failing building the documentation"
fi
f_transform_signal @ 287d2f0c
Subproject commit ddf7c9c8852074f13b78b6c0f026bc502b385e92
Subproject commit 287d2f0c6b66e61b9a89e5a1a3735c18c77c0c5e
i_keyboard @ 65738980
Subproject commit 540cdd07d28c861fbc94705e93f77801afa0b1a7
Subproject commit 65738980ed4e0433fdd38c29c367dfe5ea7215eb
......@@ -18,8 +18,7 @@ usage()
echo " -b directory :Directory to create the build. (default: $build_dir)"
echo " -h :Display this help."
echo " -q :Quiet mode"
# echo " -i directory :Directory to install the binaries. Default: $install_prefix"
# echo " -i directory :Directory to install the binaries. Default: $install_prefix"
echo
}
......@@ -42,13 +41,6 @@ done
[ $1 ] || { echo "You need at least an argument"; usage; exit 1; }
[ "$1" = "all" ] &&
{
#blc_core needs to be compiled first then blc_program before blc_processes
./install.sh blc_core && ./install.sh blc_program && git submodule foreach --quiet '../install.sh .' ; exit $? ;
}
if [ "$2" ]; then
case "$2" in
Release|Debug|RelWithDebugInfo|MinSizeRel) build_type="$2";;
......@@ -57,15 +49,21 @@ esac
else build_type="Release"
fi
cd $1
project_dir="$PWD";
project_name=`basename $project_dir`;
cd - > /dev/null;
cd `dirname $0`
blaar_dir="$PWD"
blaar_build_dir="${blaar_dir}_build"
[ "$1" = "all" ] &&
{
#We make sure we respect the order of compilation in .gitmodules
cat .gitmodules | sed -n 's/.*path = //p' | { while read project; do ./install.sh $project $build_type || { echo;echo "Fail compiling $project";echo; exit 1; } done }
exit 0
}
cd $1
project_dir="$PWD";
project_name=`basename $project_dir`;
cd - > /dev/null;
project=`basename $project_dir`
build_dir="${blaar_build_dir}/${build_type}/${project}"
......@@ -77,7 +75,6 @@ echo "=========================="
./compile.sh $QUIET $project_dir $build_type && echo "Success compiling $project"
cd $build_dir
if ninja -t targets all | grep --quiet "install: phony";
......
......@@ -33,10 +33,10 @@ bin_dir="$blaar_build_dir/Release/bin"
shift #remove $0 i.e. run.sh
echo >&2
echo "Execute $project_name" >&2
echo "Execute $project_name" in $bin_dir>&2
echo "================" >&2
set -x #display command line
$bin_dir/$project_name "$@"
bin/$project_name "$@"
exit $?
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment